/*
Created: 9.2.2010
Modified: 29.4.2010
Model: MySQL 5.0
Database: MySQL 5.0
*/

-- Create tables section -------------------------------------------------

-- Table adresy

CREATE TABLE adresy
(
  id_adresy Int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY(id_adresy),
  Ulice Varchar(60) NOT NULL,
  cp Int NOT NULL,
  Mesto Varchar(60) NOT NULL,
  PSC Int NOT NULL
);

-- Table zakaznik

CREATE TABLE zakaznik
(
  id_zakaznika Int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY(id_zakaznika),
  Jmeno Varchar(40) NOT NULL,
  Prijmeni Varchar(40) NOT NULL,
  telefon Int NOT NULL,
  email Varchar(100) NOT NULL,
  nick Varchar(30) NOT NULL,
  heslo Varchar(32) NOT NULL,
  role_id Int NOT NULL,
  id_adresy Int NOT NULL
);



-- Table vypujcky_atrakce

CREATE TABLE vypujcky_atrakce
(
  id_vypujcky Int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY(id_vypujcky),
  od Timestamp NOT NULL,
  do Timestamp NOT NULL,
  datum_rezervace Timestamp NOT NULL,
  kontakt_osoba Varchar(60) NOT NULL,
  kontakt_tel Int NOT NULL,
  hotovo Int NOT NULL,
  id_zakaznika Int NOT NULL,
  id_misto Int NOT NULL,
  zaplacena Int NOT NULL,
  platba Int NOT NULL
);



-- Table atrakce

CREATE TABLE atrakce
(
  id_atrakce Int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY(id_atrakce),
  nazev_atrakce Varchar(60) NOT NULL,
  cena_atrakce Int NOT NULL,
  id_kategorie Int NOT NULL
);



-- Table misto_dodani_atrakce

CREATE TABLE misto_dodani_atrakce
(
  id_misto Int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY(id_misto),
  Ulice1 Varchar(60) NOT NULL,
  cp1 Int NOT NULL,
  Mesto1 Varchar(60) NOT NULL,
  PSC1 Int NOT NULL
);



-- Table kategorie

CREATE TABLE kategorie
(
  id_kategorie Int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY(id_kategorie),
  nazev Varchar(60) NOT NULL,
  popis_atrakce Varchar(4000) NOT NULL,
  technicke_pozadavky Varchar(4000) NOT NULL
);



-- Table atrakce_k_vypujckam

CREATE TABLE atrakce_k_vypujckam
(
  id_vypujcky Int NOT NULL,
  PRIMARY KEY(id_vypujcky),
  id_atrakce Int NOT NULL
);



-- Table obrazek

CREATE TABLE obrazek
(
  id_obrazku Int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY(id_obrazku),
  nazev_obrazku Varchar(60) NOT NULL,
  id_kategorie Int,
  popis Varchar(4000) NOT NULL
);



-- Table novinky

CREATE TABLE novinky
(
  id_novinky Int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY(id_novinky),
  novinka Varchar(4000) NOT NULL,
  datum_pridani Timestamp NOT NULL
);




-- Create relationships section ------------------------------------------------- 

ALTER TABLE zakaznik ADD CONSTRAINT bydlí FOREIGN KEY (id_adresy) REFERENCES adresy (id_adresy) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE vypujcky_atrakce ADD CONSTRAINT objednal FOREIGN KEY (id_zakaznika) REFERENCES zakaznik (id_zakaznika) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE vypujcky_atrakce ADD CONSTRAINT dodat_kam FOREIGN KEY (id_misto) REFERENCES misto_dodani_atrakce (id_misto) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE atrakce ADD CONSTRAINT patří FOREIGN KEY (id_kategorie) REFERENCES kategorie (id_kategorie) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE atrakce_k_vypujckam ADD CONSTRAINT patří_k1 FOREIGN KEY (id_vypujcky) REFERENCES vypujcky_atrakce (id_vypujcky) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE atrakce_k_vypujckam ADD CONSTRAINT je_v FOREIGN KEY (id_atrakce) REFERENCES atrakce (id_atrakce) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE obrazek ADD CONSTRAINT patří_k FOREIGN KEY (id_kategorie) REFERENCES kategorie (id_kategorie) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE `atrakce_k_vypujckam` DROP PRIMARY KEY ,
ADD PRIMARY KEY ( `id_vypujcky` , `id_atrakce` ) ;
